#version 120

uniform float time;
uniform float alpha;

// grabbed from the interwebs!
float rand(vec2 co){
    return fract(sin(dot(co.xy ,vec2(12.9898,78.233))) * 43758.5453);
}

void main()
{
	float r = rand(gl_FragCoord.xy+vec2(time,time));
	gl_FragColor = vec4(r,0,0,alpha);
}
